;;;; -*- Mode: Lisp -*-
;;;; Author: Philippe Brochard <hocwp@free.fr>
;;;; ASDF System Definition
;;;
;;; #date#: Sun May 21 11:18:31 2006

(in-package #:asdf)

(defsystem cl-wav-synth
    :description "CL-WAW-Synth: manipulate wav files"
    :version "Please, see the package date"
    :author "Philippe Brochard  <hocwp@free.fr>"
    :licence "Lisp Lesser GNU Public License (LLGPL)"
    :components ((:file "uni-shell")
		 (:file "cl-wav-synth"
			:depends-on ("uni-shell"))
		 (:file "cl-wav-synth-effect"
			:depends-on ("cl-wav-synth"))
		 (:file "test"
			:depends-on ("cl-wav-synth"
				     "cl-wav-synth-effect"))
		 #+CLIM
		 (:file "cl-wav-synth-clim"
			:depends-on ("cl-wav-synth"
				     "cl-wav-synth-effect"
				     "test"))
		 #+CLIM
		 (:file "test-clim"
			:depends-on ("cl-wav-synth"
				     "cl-wav-synth-effect"
				     "cl-wav-synth-clim"
				     "test"))
		 #+CLIM
		 (:file "clim-tutorial"
			:depends-on ("cl-wav-synth"
				     "cl-wav-synth-effect"
				     "cl-wav-synth-clim"
				     "test"
				     "test-clim"))))







